[[Special:Recentchanges]] filter to filter out non-bot edits
Closed, ResolvedPublic

Description

Currently recent changes has two modes

First is unfiltered edits by human and bot-flagged not-so-human editors.

Second is filtered edits by human editors. Basically edits by flagged bots are not shown.

There should be a third option allowing me to filter out human edits so that I can review edits that are only bu bot-flagged accounts.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13441.
ToAruShiroiNeko created this task.Via LegacyMar 20 2008, 1:08 AM
bzimport added a comment.Via ConduitMar 20 2008, 1:21 AM

ayg wrote:

We have no index on rc_bot. This might not be acceptable unless that's fixed, except on wikis with a high percentage of bot edits. Worst case is a table scan if there are no bots in the history of the project.

ToAruShiroiNeko added a comment.Via ConduitMar 20 2008, 6:54 AM

You can just pull the not of how you pull bot edits. You have the entire RC feed, you have the human only edits. Everything - Human edits = Bots?

Some people want to exclusively review bot edits to check if the break. I think such an option would have benefit to the project.

bzimport added a comment.Via ConduitMar 20 2008, 1:46 PM

ayg wrote:

It's just the negation of a statement, but that doesn't mean it's not worse for performance. WHERE id = 8 retrieves one row and is very fast, WHERE id != 8 retrieves the whole table minus one row and is very slow. Same sort of thing here, although a little less extreme. It's very unlikely that a typical wiki will have more than, say, 50% bot edits. Therefore, *hiding* bot edits will likely read a maximum of twice as many rows as are actually needed, which isn't terrible. But it's very likely that many wikis have almost no bot edits, or literally no bot edits, and this means that showing *only* bot edits will have to scan the recentchanges table, which is bad.

It might be acceptable anyway. Large wikis will usually have at least one bot, and scanning the recentchanges table of a small wiki isn't so bad. Plus this option is not likely to be commonly used. But I wanted to point out that it's not necessarily obvious that this is okay.

IAlex added a comment.Via ConduitApr 2 2008, 10:48 AM

Fixed in r32696.

IAlex added a comment.Via ConduitAug 2 2009, 2:29 PM
  • Bug 12781 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.